package com.ruoyi.project.training.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.training.mapper.TTrainingbccDeviceMapper;
import com.ruoyi.project.training.domain.TTrainingbccDevice;
import com.ruoyi.project.training.service.ITTrainingbccDeviceService;

/**
 * 人员-装置级培训关系Service业务层处理
 *
 * @author ssy
 * @date 2024-06-19
 */
@Service
public class TTrainingbccDeviceServiceImpl implements ITTrainingbccDeviceService
{
    @Autowired
    private TTrainingbccDeviceMapper tTrainingbccDeviceMapper;

    /**
     * 查询人员-装置级培训关系
     *
     * @param id 人员-装置级培训关系ID
     * @return 人员-装置级培训关系
     */
    @Override
    public TTrainingbccDevice selectTTrainingbccDeviceById(Long id)
    {
        return tTrainingbccDeviceMapper.selectTTrainingbccDeviceById(id);
    }

    /**
     * 查询人员-装置级培训关系列表
     *
     * @param tTrainingbccDevice 人员-装置级培训关系
     * @return 人员-装置级培训关系
     */
    @Override
    public List<TTrainingbccDevice> selectTTrainingbccDeviceList(TTrainingbccDevice tTrainingbccDevice)
    {
        return tTrainingbccDeviceMapper.selectTTrainingbccDeviceList(tTrainingbccDevice);
    }

    /**
     * 新增人员-装置级培训关系
     *
     * @param tTrainingbccDevice 人员-装置级培训关系
     * @return 结果
     */
    @Override
    public int insertTTrainingbccDevice(TTrainingbccDevice tTrainingbccDevice)
    {
        return tTrainingbccDeviceMapper.insertTTrainingbccDevice(tTrainingbccDevice);
    }

    /**
     * 修改人员-装置级培训关系
     *
     * @param tTrainingbccDevice 人员-装置级培训关系
     * @return 结果
     */
    @Override
    public int updateTTrainingbccDevice(TTrainingbccDevice tTrainingbccDevice)
    {
        return tTrainingbccDeviceMapper.updateTTrainingbccDevice(tTrainingbccDevice);
    }

    /**
     * 批量删除人员-装置级培训关系
     *
     * @param ids 需要删除的人员-装置级培训关系ID
     * @return 结果
     */
    @Override
    public int deleteTTrainingbccDeviceByIds(Long[] ids)
    {
        return tTrainingbccDeviceMapper.deleteTTrainingbccDeviceByIds(ids);
    }

    /**
     * 删除人员-装置级培训关系信息
     *
     * @param id 人员-装置级培训关系ID
     * @return 结果
     */
    @Override
    public int deleteTTrainingbccDeviceById(Long id)
    {
        return tTrainingbccDeviceMapper.deleteTTrainingbccDeviceById(id);
    }
}
